Package org.apache.qpid.proton.amqp

# Class UnsignedByte

java.lang.Object
java.lang.Number
org.apache.qpid.proton.amqp.UnsignedByte

All Implemented Interfaces:
  `Serializable`, `Comparable<UnsignedByte>`

public final class UnsignedByte extends Number implements Comparable<UnsignedByte>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsignedByte(byte underlying)`

## Method Summary

Modifier and Type
Method
Description
`byte`
`byteValue()`
`int`
`compareTo(UnsignedByte o)`
`double`
`doubleValue()`
`boolean`
`equals(Object o)`
`float`
`floatValue()`
`int`
`hashCode()`
`int`
`intValue()`
`long`
`longValue()`
`short`
`shortValue()`
`String`
`toString()`
`static UnsignedByte`
`valueOf(byte underlying)`
`static UnsignedByte`
`valueOf(String value)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsignedByte

public UnsignedByte(byte underlying)

## Method Details

### byteValue

public byte byteValue()

Overrides:
  `byteValue` in class `Number`

### shortValue

public short shortValue()

Overrides:
  `shortValue` in class `Number`

### intValue

public int intValue()

Specified by:
  `intValue` in class `Number`

### longValue

public long longValue()

Specified by:
  `longValue` in class `Number`

### floatValue

public float floatValue()

Specified by:
  `floatValue` in class `Number`

### doubleValue

public double doubleValue()

Specified by:
  `doubleValue` in class `Number`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(UnsignedByte o)

Specified by:
  `compareTo` in interface `Comparable<UnsignedByte>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### valueOf

public static UnsignedByte valueOf(byte underlying)

### valueOf

public static UnsignedByte valueOf(String value) throws NumberFormatException

Throws:
  `NumberFormatException`